/* Estilos para el slider de imágenes */
.slider-container {
  position: relative;
  width: 100%;
  height: 50vh;
  transition: transform 1s ease-in-out; /* Controla la velocidad de cambio */
  overflow: hidden; /* Oculta lo que está fuera */
}

.slider-container:hover {
  cursor: pointer;
}

/* Estilos para cada slide */
.slider {
  position: relative;
  width: inherit;
  height: inherit;
  /*display: flex;
  transition: transform 0.5s ease-in-out; /* Animación suave */
}

/* Estilos para las imágenes dentro de cada slide */
.slide {
  position: absolute;
  width: inherit;
  height: inherit;
  display: none;;
  /*opacity: 0; Oculta por defecto */
  /*transition: opacity 0.5s ease-in-out;  Animación suave */
}

.slide.active {
  display: block;
  /*opacity: 1;  Muestra el slide activo */
  /*z-index: 1;  Asegura que el slide activo esté por encima de los demás */
}

/* Estilos para las flechas de navegación */
.slide img {
  width: inherit;
  height: inherit;
  object-fit: cover;
}

/* Estilos para la leyenda (caption) */
.caption{
  position: absolute;/* Posición absoluta para colocarla sobre la imagen */
  bottom: 40px;/* Ajusta según el diseño deseado */
  left: 50px;/* Ajusta según el diseño deseado */
  color: white;/* Color del texto */
  background: #32303049;/* Fondo semitransparente para mejorar la legibilidad */
  padding: 15px 20px;/* Espaciado interno */
  border-radius: 10px;/* Bordes redondeados */
  max-width: 60%;/* Ancho máximo para evitar que la leyenda sea demasiado ancha */
}

.caption h2{
  margin: 0 0 5px;
  font-size: 24px;
}

.caption p{
  margin: 0;
  font-size: 16px;
}



.arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgba(0, 0, 0, 0.224);
  color: white;
  border: none;
  font-size: 24px;
  padding: 10px;
  cursor:pointer;
  z-index: 10;
}

.prev { left: 10px; }
.next { right: 10px; }

.dots-container {
  text-align: center;
  position: absolute;
  bottom: 15px;
  width: 100%;
  z-index: 11;
}

.dots-container span {
  display: inline-block;
  height: 12px;
  width: 12px;
  margin: 0 6px;
  background-color: #bbb;
  border-radius: 50%;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.dots-container span.active {
  background-color: #717171;
}


